9 Replies Latest reply: Aug 18, 2010 2:27 PM by eferz Branched to a new discussion. RSS

    Storm 2 version is needed

    Tivomaster

      This phone begs to have the SlingPlayer built for it.  How could it have been written for the Bold and not for the Storm or Storm 2?  The large screen, 3G and wireless are the perfect combination.  Come one, let's start drumming up some support.  This is why I bought the Slingbox and not it just sits there at my house doing nothing.  Please help!!

       

      Mike

        • Re: Storm 2 version is needed
          israel329

          I agree with you. I bought the mobile software back when I had the Bold from AT&T. I had to switch carriers because Verizon had better 3G serivce in my area and bought a Storm2. I was excited because of the bigger screen and could not wait to load the software on it. Much to my disappointment I did realize the hard way that it was not compatible. So now I have the slingbox and the Mobile software that I already paid for that is just not being used.

           

          Please Slingbox make something happen. I've been a long loyal happy customer before all this happened.

            • Re: Storm 2 version is needed
              Martyemtp

              Anybody have any idea if they are going to create a mobile player for the Storm 2?  The list of approved devices has very listed for the Verizon wireless market that own Blackberrys.  I purchased my Storm2 due to the larger screen and thought that it was a device that could use the sling player mobile.  Once I went on the sling media site, I found out that they did not make a mobile player for the Storm or Storm 2.  I understand that the company does not like to start rumors, but they can let other people who have Blackberry's from Verizon wireless know if they are in the process of make the mobile player for these devices.

            • Re: Storm 2 version is needed
              israel329

              Just got a notification from Sling that an apps is out for the Android!  Great but I have a Storm2 that has been out longer then the Android and still has no app for it.  unbelievable!

                • Re: Storm 2 version is needed
                  Tivomaster

                  Obviously, they are looking at these postings, since they pulled the last one I wrote because I mentioned some competitors.  I guess it's time to find a Sling replacement. 

                    • Re: Storm 2 version is needed
                      israel329

                      Weird thing is I saw another thread where some users were disscussing issues on there Storm2 and the sling software. I guess they were able to get it to work to some extent on their storm2. I just asked them what they did to get it to work because when I tried to install the Bold version one it just said not compatible.

                  • Re: Storm 2 version is needed
                    kilfoyle

                    I've had a Slingbox practically from the day they were released.  I purchased Slinboxes for my family.  I've had clients buy multiple Slingboxes when I've installed entertainment systems.  I've used the the SlingPlayer mobile for years on several different smartphones; in fact, I've used Slingplayer Mobile for so long i don't think Sling was charging for it when I first installed it.  I find myself always touting the greatness of the Slingbox.  Unfortunately I've been stuck with a Storm 1 for the last year or so, and I'm soon to be stuck with a Storm 2 for the same business reasons.  I agree that the Storm 2, technically, appears to be a perfect device for Slingplayer.  I think the Storm is more popular that Sling realizes; I was having a business lunch the other day, and three out of four of us had Storms!  A Slingplayer for the Storm 2 would garner tremendous positive feedback from users, give many long time Sling users some respect, make Sling and it's product a better "fit" for customers in the business world, the picture would probably look great (especially in TV ads), and yes, it would make me really, really happy.

                     

                    Please, SlingPlayer Mobile for the Storm 2.  Soon.

                    • Re: Storm 2 version is needed
                      glvn60

                      Slingplayer worked well on my original storm except only in half screen.  Now I have a storm 2 and can't get it to work at all.

                      Come on guys...we are all hanging out here..HELP PLEASE!!!!!!!!!

                      • Re: Storm 2 version is needed
                        Tivomaster

                        Looks like this will not happen, since the Storm 2 is now end of life.  The Storm 3 will be announced soon, so this device is done.  ****!!